import request from '@/utils/request';

// 解决方案/采购方案列表
export function getPurchaseCategoryList(query: any) {
  return request({
    url: '/system/indexSystem/getPurchaseCategoryList',
    method: 'get',
    params: query
  });
}

// 解决方案/采购方案详情
export function getProcurementProgramDetail(id: any) {
  return request({
    url: '/product/indexProduct/getProcurementProgramDetail/' + id,
    method: 'get'
  });
}

// 解决方案/采购方案详情下的分组
export function getProcurementProgramGroupList(id: any) {
  return request({
    url: '/product/indexProduct/getProcurementProgramGroupList/' + id,
    method: 'get'
  });
}

// 解决方案/采购方案分组下的商品
export function getProcurementProgramGroupProductList(query: any) {
  return request({
    url: '/product/indexProduct/getProcurementProgramGroupProductList',
    method: 'get',
    params: query
  });
}

// 场景采购列表
export function getProductProgramPage(query: any) {
  return request({
    url: '/product/indexProduct/getProductProgramPage',
    method: 'get',
    params: query
  });
}

// 场景采购详情
export function getProductProgramDetail(id: any) {
  return request({
    url: '/product/indexProduct/getProductProgramDetail/' + id,
    method: 'get'
  });
}


// 场景采购详情的商品
export function getProductProgramProductList(id: any) {
  return request({
    url: '/product/indexProduct/getProductProgramProductList/' + id,
    method: 'get'
  });
}

// 采购方案列表
export function getProcurementProgramList(query: any) {
  return request({
    url: '/product/indexProduct/getProcurementProgramList',
    method: 'get',
    params: query
  });
}

// 客户行业
export function getCustomerIndustry(query: any) {
  return request({
    url: '/customer/indexCustomer/getCustomerIndustry',
    method: 'get',
    params: query
  });
}

// 项目类型
export function getProjectTypeList(query: any) {
  return request({
    url: '/system/indexSystem/getProjectTypeList',
    method: 'get',
    params: query
  });
}

// 适配场景列表
export function getAdaptSceneList(query: any) {
  return request({
    url: '/system/indexSystem/getAdaptSceneList',
    method: 'get',
    params: query
  });
}

// 获取价格区间列表
export function getPriceRangeList(query: any) {
  return request({
    url: '/system/indexSystem/getPriceRangeList',
    method: 'get',
    params: query
  });
}

// 推荐标签
export function getCustomerTag(query: any) {
  return request({
    url: '/customer/indexCustomer/getCustomerTag',
    method: 'get',
    params: query
  });
}

// 采购指南列表

export function getPurchaseGuideList(query: any) {
  return request({
    url: '/product/indexProduct/getPurchaseGuideList',
    method: 'get',
    params: query
  });
}

// 采购指南详情

export function getPurchaseGuideDetail(id: any) {
  return request({
    url: '/product/indexProduct/getPurchaseGuideDetail/' + id,
    method: 'get'
  });
}

// 项目案例列表

export function getProjectCaseAllList(query: any) {
  return request({
    url: '/product/indexProduct/getProjectCaseAllList',
    method: 'get',
    params: query
  });
}

// 项目案例详情

export function getProjectCaseDetail(id: any) {
  return request({
    url: '/product/indexProduct/getProjectCaseDetail/' + id,
    method: 'get'
  });
}

// 咨迅详情

export function getYouYzXunInfo(id: any) {
  return request({
    url: '/system/indexSystem/getYouYiZiXunInfo/' + id,
    method: 'get'
  });
}

// 品牌详情

export function getProductBrandDetail(id: any) {
  return request({
    url: '/product/indexProduct/getProductBrandDetail/' + id,
    method: 'get'
  });
}

